[Openvas-commits] r408 - trunk/openvas-libnasl

scm-commit@wald.intevation.org scm-commit at wald.intevation.org
Fri Oct 5 16:29:20 CEST 2007


Author: bh
Date: 2007-10-05 16:29:19 +0200 (Fri, 05 Oct 2007)
New Revision: 408

Modified:
   trunk/openvas-libnasl/ChangeLog
   trunk/openvas-libnasl/configure
   trunk/openvas-libnasl/configure.in
   trunk/openvas-libnasl/nasl.tmpl.in
Log:
Add simple support for GPGME to configure

* configure.in: Add check for GPGME

* nasl.tmpl.in (GPGME_CONFIG): New varible for GPGPME support

* configure: Updated from configure.in


Modified: trunk/openvas-libnasl/ChangeLog
===================================================================
--- trunk/openvas-libnasl/ChangeLog	2007-10-04 18:44:07 UTC (rev 407)
+++ trunk/openvas-libnasl/ChangeLog	2007-10-05 14:29:19 UTC (rev 408)
@@ -1,3 +1,13 @@
+2007-10-05  Bernhard Herzog  <bh at intevation.de>
+
+	Add simple support for GPGME to configure
+
+	* configure.in: Add check for GPGME
+
+	* nasl.tmpl.in (GPGME_CONFIG): New varible for GPGPME support
+
+	* configure: Updated from configure.in
+
 2007-10-04  Bernhard Herzog  <bh at intevation.de>
 
 	* nasl/Makefile: Remove unused variable CSRCS

Modified: trunk/openvas-libnasl/configure
===================================================================
--- trunk/openvas-libnasl/configure	2007-10-04 18:44:07 UTC (rev 407)
+++ trunk/openvas-libnasl/configure	2007-10-05 14:29:19 UTC (rev 408)
@@ -841,6 +841,7 @@
 LIBOPENVASCONFIG
 BISON
 ALLOCA
+GPGME_CONFIG
 PWD
 PWDD
 INSTALL
@@ -4718,7 +4719,7 @@
 case $host in
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 4721 "configure"' > conftest.$ac_ext
+  echo '#line 4722 "configure"' > conftest.$ac_ext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -5270,7 +5271,7 @@
 save_CFLAGS="$CFLAGS"
 CFLAGS="$CFLAGS -o out/conftest2.$ac_objext"
 compiler_c_o=no
-if { (eval echo configure:5273: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>out/conftest.err; } && test -s out/conftest2.$ac_objext; then
+if { (eval echo configure:5274: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>out/conftest.err; } && test -s out/conftest2.$ac_objext; then
   # The compiler can only warn and ignore the option if not recognized
   # So say no if there are warnings
   if test -s out/conftest.err; then
@@ -7131,7 +7132,7 @@
     lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 7134 "configure"
+#line 7135 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -7229,7 +7230,7 @@
     lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 7232 "configure"
+#line 7233 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -14549,9 +14550,60 @@
 
 
 
+# Extract the first word of "gpgme-config", so it can be a program name with args.
+set dummy gpgme-config; ac_word=$2
+{ echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
+if test "${ac_cv_path_GPGME_CONFIG+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  case $GPGME_CONFIG in
+  [\\/]* | ?:[\\/]*)
+  ac_cv_path_GPGME_CONFIG="$GPGME_CONFIG" # Let the user override the test with a path.
+  ;;
+  *)
+  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+  IFS=$as_save_IFS
+  test -z "$as_dir" && as_dir=.
+  for ac_exec_ext in '' $ac_executable_extensions; do
+  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
+    ac_cv_path_GPGME_CONFIG="$as_dir/$ac_word$ac_exec_ext"
+    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+    break 2
+  fi
+done
+done
+IFS=$as_save_IFS
 
+  ;;
+esac
+fi
+GPGME_CONFIG=$ac_cv_path_GPGME_CONFIG
+if test -n "$GPGME_CONFIG"; then
+  { echo "$as_me:$LINENO: result: $GPGME_CONFIG" >&5
+echo "${ECHO_T}$GPGME_CONFIG" >&6; }
+else
+  { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+fi
 
 
+test "x$GPGME_CONFIG" = x && { { echo "$as_me:$LINENO: error: \"\"
+\"\"
+\"*** GPGME is not installed ! You need to install it before you\"
+\"compile openvas-libnasl.\"
+\"See http://www.gnupg.org/(en)/related_software/gpgme/index.html\"" >&5
+echo "$as_me: error: \"\"
+\"\"
+\"*** GPGME is not installed ! You need to install it before you\"
+\"compile openvas-libnasl.\"
+\"See http://www.gnupg.org/(en)/related_software/gpgme/index.html\"" >&2;}
+   { (exit 1); exit 1; }; }
+
+
+
 case "$host" in
     *-freebsd*|*-bsdi*|*-netbsd*|*-darwin*)
     cat >>confdefs.h <<\_ACEOF
@@ -15404,6 +15456,7 @@
 LIBOPENVASCONFIG!$LIBOPENVASCONFIG$ac_delim
 BISON!$BISON$ac_delim
 ALLOCA!$ALLOCA$ac_delim
+GPGME_CONFIG!$GPGME_CONFIG$ac_delim
 PWD!$PWD$ac_delim
 PWDD!$PWDD$ac_delim
 INSTALL!$INSTALL$ac_delim
@@ -15422,7 +15475,7 @@
 LTLIBOBJS!$LTLIBOBJS$ac_delim
 _ACEOF
 
-  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 83; then
+  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 84; then
     break
   elif $ac_last_try; then
     { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5

Modified: trunk/openvas-libnasl/configure.in
===================================================================
--- trunk/openvas-libnasl/configure.in	2007-10-04 18:44:07 UTC (rev 407)
+++ trunk/openvas-libnasl/configure.in	2007-10-05 14:29:19 UTC (rev 408)
@@ -6,7 +6,7 @@
 dnl Renaud Deraison <deraison at nessus.org> (Original pre-fork development)
 dnl
 dnl Copyright:
-dnl Based on work Copyright (C) 1998 - 2006 Tenable Network Security, Inc.
+dnl Based on work Copyright (C) 1998 - 2007 Tenable Network Security, Inc.
 dnl
 dnl This program is free software; you can redistribute it and/or modify
 dnl it under the terms of the GNU General Public License version 2,
@@ -368,6 +368,12 @@
 ], [AC_MSG_RESULT([yes]);AC_DEFINE(HAVE_STRNDUP_ALREADY)],[AC_MSG_RESULT([no])])
 
 
+AC_PATH_PROG(GPGME_CONFIG, gpgme-config) 
+test "x$GPGME_CONFIG" = x && AC_ERROR(""
+""
+"*** GPGME is not installed ! You need to install it before you"
+"compile openvas-libnasl."
+"See http://www.gnupg.org/(en)/related_software/gpgme/index.html")
 
 
 

Modified: trunk/openvas-libnasl/nasl.tmpl.in
===================================================================
--- trunk/openvas-libnasl/nasl.tmpl.in	2007-10-04 18:44:07 UTC (rev 407)
+++ trunk/openvas-libnasl/nasl.tmpl.in	2007-10-05 14:29:19 UTC (rev 408)
@@ -67,6 +67,10 @@
 DEFS=@DEFS@ $(HAVE_UCB_INCLUDE) $(DEBUG)
 LDFLAGS=
 
+# GPGME
+GPGME_CONFIG=@GPGME_CONFIG@
+
+
 # Nessus configuration script
 LIBOPENVASCONFIG=@LIBOPENVASCONFIG@
 # Your C compiler



More information about the Openvas-commits mailing list